package com.realnet.x2-b.Services;
import com.realnet.x2-b.Repository.X3Repository;
import com.realnet.x2-b.Entity.X3
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class X3Service {
@Autowired
private X3Repository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public X3 Savedata(X3 data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
X3 save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<X3> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<X3> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<X3> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public X3 getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public X3 update(X3 data,Integer id) {
	X3 old = Repository.findById(id).get();
old.setName(data.getName());

old.setEmail(data.getEmail());

old.setAge(data.getAge());

final X3 test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
